from mpl_toolkits.mplot3d import Axes3D
import matplotlib.pyplot as plt
import numpy as np
import math

def combi(N, k):
    v = 1
    if (0 < k) and (k < N):
        for i in range(1, k+1):
            v *= (N - i +1) / i
    return v


fig = plt.figure()
ax = Axes3D(fig)
X = np.arange(0, 10.1, 1)
P = np.arange(0.0, 1.001, 0.01)
Xg, Pg = np.meshgrid(X, P)

def f(x, p):
    return  combi(10, x) * (p**x) * ((1-p)**(10-x))

Z = []
pos = -1
for p in P:
    Z.append([])
    pos += 1
    for x in X:
        Z[pos].append(f(int(x), p))
Z = np.array(Z)

ax.plot_surface(Xg, Pg, Z, rstride = 1, cstride = 1, cmap = plt.cm.coolwarm)

plt.show()
